-- ----------------------------------------------------------------------------
-- Copyright (C) 2011 Nokia Gate5 GmbH Berlin
--
-- These coded instructions, statements, and computer programs contain
-- unpublished proprietary information of Nokia Gate5 GmbH Berlin, and
-- are copy protected by law. They may not be disclosed to third parties
-- or copied or duplicated in any form, in whole or in part, without the
-- specific, prior written permission of Nokia Gate5 GmbH Berlin.
-- ----------------------------------------------------------------------------
--      Authors: RFS, Fabian TP Riek
-- ----------------------------------------------------------------------------
--             Voice Skin: Portuguese TTS

description = "TTS"
gender = "f"
travel_mode = "0"    -- walk and drive 
output_type = "tts"
speaker = "Joana"
language = "Portuguese (Portugal)"
marc_code = "por"
language_id = "13"
id = "13002"
config_file = "portuguese_tts/config_tts.lua"
audio_files_path = "portuguese_tts/portuguese_tts"
rulesets_file = "portuguese_tts/portuguese_tts/rulesets_PTP.txt"
userdictionary_file = "portuguese_tts/portuguese_tts/udct_ptp.dat"
apdb = "apdb/joana/nm"
audio_files_version = "0.3.0.2012031601"
feature_list = { "metric", "imperial_uk", "imperial_us" }
client_range = "[ client >= 1.4.6.0 ; client < 1.7.0.0 ]"

maneuver_check = {
    ["END"] = "chegará ao seu destino",                             -- You will reach your destination
    ["STOPOVER"] = "chegará a um local de paragem",                 -- You will reach a stopover
    ["JUNCTION"] = nil,                                             -- No voice file needed -> check maneuver_turn
    ["PASS_JUNCTION"] = nil,                                        -- the junction
    ["ROUNDABOUT"] = "na rotunda",                                  -- At the roundabout
    ["EXIT_ROUNDABOUT"] = "apanhe a saída",                         -- take the exit
    ["UTURN"] = "faça inversão de marcha",                          -- Make a uturn
    ["ENTER_HIGHWAY"] = "entre na auto-estrada",
    ["LEAVE_HIGHWAY"] = "apanhe a saída",                           -- take the exit
    ["CONTINUE_HIGHWAY"] = "apanhe a saída",                        -- due to specifications ("take the exit")
    ["ENTER_URBAN_HIGHWAY"] = "entre na auto-estrada",
    ["LEAVE_URBAN_HIGHWAY"] = "apanhe a saída",                     -- take the exit
    ["CONTINUE_URBAN_HIGHWAY"] = "apanhe a saída",
    ["DRIVE_TO_NEAREST_ROAD"] = "Conduza na estrada mais próxima",  -- drive to nearest road 
    ["FERRY"] = "apanhe o ferry"
}

maneuver_turns_car = {
    ["NO_TURN"] = "siga em frente",
    ["KEEP_MIDDLE"] = "mude para a faixa do meio",
    ["KEEP_RIGHT"] = "mantenha-se à direita",
    ["LIGHT_RIGHT"] = "vire suavemente à direita",
    ["QUITE_RIGHT"] = "vire à direita",
    ["HEAVY_RIGHT"] = "vire subitamente à direita",
    ["RETURN"] = "faça inversão de marcha",
    ["HEAVY_LEFT"] = "vire subitamente à esquerda",
    ["QUITE_LEFT"] = "vire à esquerda",
    ["LIGHT_LEFT"] = "vire suavemente à esquerda",
    ["KEEP_LEFT"] = "mantenha-se à esquerda",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

maneuver_turns_pedestrian = {
    ["NO_TURN"] = "siga em frente",
    ["KEEP_MIDDLE"] = "siga em frente",
    ["KEEP_RIGHT"] = "apanhe a saída no lado direito",
    ["LIGHT_RIGHT"] = "vire suavemente à direita",
    ["QUITE_RIGHT"] = "vire à direita",
    ["HEAVY_RIGHT"] = "vire subitamente à direita",
    ["RETURN"] = "faça inversão de marcha",
    ["HEAVY_LEFT"] = "vire subitamente à esquerda",
    ["QUITE_LEFT"] = "vire à esquerda",
    ["LIGHT_LEFT"] = "vire suavemente à esquerda",
    ["KEEP_LEFT"] = "apanhe a saída no lado esquerdo",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

pedestrian_vc = {
    ["BUILDING"] = "passe pelo edifício",
    ["SQUARE"] = "atravesse o praça",
    ["PARK"] = "atravesse o parque",
    ["STAIRS"] = "siga pelas escadas",
    ["ELEVATOR"] = "entre no elevador",
    ["ESCALATOR"] = "siga pelas escadas"
}

final_command = {
    ["END"] = "Chegou ao seu destino",                           -- You have reached your destination
    ["STOPOVER"] = "Chegou a um local de paragem"                -- You have reached a stopover
}

exit_number_check = {
    [1] = {"apanhe a primeira saída", "vire na primeira rua"},                      -- take the first exit
    [2] = {"apanhe a segunda saída", "vire na segunda rua"},                        -- take the second exit
    [3] = {"apanhe a terceira saída", "vire na terceira rua"},                      -- take the third exit
    [4] = {"apanhe a quarta saída", "vire na quarta rua"},                          -- take the fourth exit
    [5] = {"apanhe a quinta saída", "vire na quinta rua"},                          -- take the fifth exit
    [6] = {"apanhe a sexta saída", "vire na sexta rua"},                            -- take the sixth exit
    [7] = {"apanhe a sétima saída", "apanhe a sétima saída"},                       -- take the seventh exit
    [8] = {"apanhe a oitava saída", "apanhe a oitava saída"},                       -- take the eighth exit
    [9] = {"apanhe a nona saída", "apanhe a nona saída"},                           -- take the ninth exit
    [10] = {"apanhe a décima saída", "apanhe a décima saída"},                      -- take the tenth exit
    [11] = {"apanhe a décima primeira", "apanhe a décima primeira"},                -- take the eleventh exit
    [12] = {"apanhe a décima segunda saída", "apanhe a décima segunda saída"}       -- take the twelfth exit
}

unit = {                        
    ["MILE"] = "milha",
    ["YARDS"] = "jardas",
    ["FEET"] = "pés",
    ["KILOMETER"] = "quilómetro",
    ["METERS"] = "metros",
    ["METER"] = "metros",
    ["KILOMETERS"] = "quilómetros",
    ["MILES"] = "milhas",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

orientation = {
    ["NORTH"] = "norte",
    ["NORTH_EAST"] = "nordeste",
    ["EAST"] = "leste",
    ["SOUTH_EAST"] = "sudeste",
    ["SOUTH"] = "sul",
    ["SOUTH_WEST"] = "sudoeste",
    ["WEST"] = "oeste",
    ["NORTH_WEST"] = "noroeste"
}

misc = { 
    ["gps_signal_lost_wav"] = "Sinal de GPS perdido",
    ["gps_signal_restored_wav"] = "A conexão com o GPS foi restabelecida",
 --  ["no_gps_signal_wav"] = "Sem sinal de GPS",
    ["route_recalculation_wav"] = "A recalcular o itinerário",
    ["now_wav"] = "Agora",
    ["end_of_street_wav"] = "No fim da estrada",
    ["follow_motorway_wav"] = "Siga pela auto-estrada",
    ["follow_road_wav"] = "Siga pela estrada",
    ["for_wav"] = "por",
    ["after_wav"] = "Após",
    ["the_junction_wav"] = "o cruzamento",
    ["half_a_mile_wav"] = "meia milha",
    ["quarter_a_mile_wav"] = "um quarto de milha",
    ["three_quarter_of_mile_wav"] = "três quartos de milha",
    ["immediately_wav"] = "imediatamente",
    ["safety_camara_ahead_wav"] = "Câmara de Segurança à frente",
    --["over_speed_limit_wav"] = "Observe o limite de velocidade",
    ["traffic_automatic_detour_wav"] = "Trânsito intenso no itinerário, a desviar",
    ["traffic_manual_detour_wav"] = "Trânsito intenso no itinerário, pretende desviar?",
    ["no_detour_possible"] = "Não foi possível desviar do trânsito intenso",
    ["and_wav"] = "e",
    ["and_then_wav"] = "e depois",
    ["and_continue_on_wav"] = "e continue na",
    ["towards_wav"] = "em direcção a",
    ["turn_wav"] = "vire",
    ["onto_wav"] = "para",
    ["exit_wav"] = "apanhe a saída",
    ["second_right_wav"] = "mude para a segunda faixa da direita",
    ["second_left_wav"] = "tome a segunda faixa à esquerda",
    ["dot"] = ".",
    ["walk_left_roundabout_wav"] = "siga pela esquerda ao longo da rotunda",
    ["walk_right_roundabout_wav"] = "siga pela direita ao longo da rotunda",
    ["walk_roundabout_wav"] = "Contorne a rotunda",
    ["head_wav"] = "Dirija-se para",
    ["pause"] = "\\pause=50\\",
    ["on_wav"] = "",
    ["on_2_wav"] = "na",
    ["the_footpath_wav"] = "para o caminho de peões"
}

wav_files = { 
    ["beep_sound"] = "beep16K.wav",
	["speed_limit_beeps"] = "g5war_speed_limit_soft4edit9.wav"       
}

right = { ["QUITE_RIGHT"] = 0, ["HEAVY_RIGHT"] = 0, ["LIGHT_RIGHT"] = 0, ["KEEP_RIGHT"] = 0 }
left = { ["QUITE_LEFT"] = 0, ["HEAVY_LEFT"] = 0, ["LIGHT_LEFT"] = 0, ["KEEP_LEFT"] = 0 }
keep = { ["KEEP_LEFT"] = 0, ["KEEP_RIGHT"] = 0, ["KEEP_MIDDLE"] = 0 }
highway = { ["ENTER_HIGHWAY"] = 0, ["ENTER_URBAN_HIGHWAY"] = 0, ["LEAVE_HIGHWAY"] = 0, ["LEAVE_URBAN_HIGHWAY"] = 0 }


